diff --git a/buglist b/buglist
index 55d0e10..b6d6093 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7241: 
+bug 7242: 
 todo 335:
 wish 1011:
 meh 5:
@@ -12,6 +12,11 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7241: missing algebra
+ in li.input.pamphlet, chunks 2, 6, 34, 38, 42 could be integrated
+ and were not.
+
+=========================================================================
 todo 334: eliminate bcString2HyString
 
 =========================================================================
diff --git a/changelog b/changelog
index 34b4fab..bd10b31 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20130428 tpd src/axiom-website/patches.html 20130428.04.tpd.patch
+20130428 tpd src/input/cherry.input annotate the integration routines
+20130428 tpd buglist add bug 7241, fix the integration routines
+20130428 tpd readme add Edi Meier
 20130428 tpd src/axiom-website/patches.html 20130428.03.tpd.patch
 20130428 tpd src/doc/axiom.sty pick up additional macros
 20130428 tpd books/bookvol9 use bookheader.tex
diff --git a/readme b/readme
index b4c009a..6b49bd3 100644
--- a/readme
+++ b/readme
@@ -238,41 +238,41 @@ at the axiom command prompt will prettyprint the list.
 "Ren-Cang Li            Rudiger Loos           Michael Lucks"
 "Richard Luczak         Camm Maguire           Francois Maltey"
 "Alasdair McAndrew      Bob McElrath           Michael McGettrick"
-"Ian Meikle             David Mentre           Victor S. Miller"
-"Gerard Milmeister      Mohammed Mobarak       H. Michael Moeller"
-"Michael Monagan        Marc Moreno-Maza       Scott Morrison"
-"Joel Moses             Mark Murray            William Naylor"
-"Patrice Naudin         C. Andrew Neff         John Nelder"
-"Godfrey Nolan          Arthur Norman          Jinzhong Niu"
-"Michael O'Connor       Summat Oemrawsingh     Kostas Oikonomou"
-"Humberto Ortiz-Zuazaga Julian A. Padget       Bill Page"
-"David Parnas           Susan Pelzel           Michel Petitot"
-"Didier Pinchon         Ayal Pinkus            Frederick H. Pitts"
-"Jose Alfredo Portes    Gregorio Quintana-Orti Claude Quitte"
-"Arthur C. Ralfs        Norman Ramsey          Anatoly Raportirenko"
-"Albert D. Rich         Michael Richardson     Guilherme Reis"
-"Huan Ren               Renaud Rioboo          Jean Rivlin"
-"Nicolas Robidoux       Simon Robinson         Raymond Rogers"
-"Michael Rothstein      Martin Rubey           Philip Santas"
-"Alfred Scheerhorn      William Schelter       Gerhard Schneider"
-"Martin Schoenert       Marshall Schor         Frithjof Schulze"
-"Fritz Schwarz          Steven Segletes        V. Sima"
-"Nick Simicich          William Sit            Elena Smirnova"
-"Jonathan Steinbach     Fabio Stumbo           Christine Sundaresan"
-"Robert Sutor           Moss E. Sweedler       Eugene Surowitz"
-"Max Tegmark            T. Doug Telford        James Thatcher"
-"Balbir Thomas          Mike Thomas            Dylan Thurston"
-"Steve Toleque          Barry Trager           Themos T. Tsikas"
-"Gregory Vanuxem        Bernhard Wall          Stephen Watt"
-"Jaap Weel              Juergen Weiss          M. Weller"
-"Mark Wegman            James Wen              Thorsten Werther"
-"Michael Wester         R. Clint Whaley        John M. Wiley"
-"Berhard Will           Clifton J. Williamson  Stephen Wilson"
-"Shmuel Winograd        Robert Wisbauer        Sandra Wityak"
-"Waldemar Wiwianka      Knut Wolf              Liu Xiaojun"
-"Clifford Yapp          David Yun              Vadim Zhytnikov"
-"Richard Zippel         Evelyn Zoernack        Bruno Zuercher"
-"Dan Zwillinger"
+"Edi Meier              Ian Meikle             David Mentre"
+"Victor S. Miller       Gerard Milmeister      Mohammed Mobarak"
+"H. Michael Moeller     Michael Monagan        Marc Moreno-Maza"
+"Scott Morrison         Joel Moses             Mark Murray"
+"William Naylor         Patrice Naudin         C. Andrew Neff"
+"John Nelder            Godfrey Nolan          Arthur Norman"
+"Jinzhong Niu           Michael O'Connor       Summat Oemrawsingh"
+"Kostas Oikonomou       Humberto Ortiz-Zuazaga Julian A. Padget"
+"Bill Page              David Parnas           Susan Pelzel"
+"Michel Petitot         Didier Pinchon         Ayal Pinkus"
+"Frederick H. Pitts     Jose Alfredo Portes    Gregorio Quintana-Orti"
+"Claude Quitte          Arthur C. Ralfs        Norman Ramsey"
+"Anatoly Raportirenko   Albert D. Rich         Michael Richardson"
+"Guilherme Reis         Huan Ren               Renaud Rioboo"
+"Jean Rivlin            Nicolas Robidoux       Simon Robinson"
+"Raymond Rogers         Michael Rothstein      Martin Rubey"
+"Philip Santas          Alfred Scheerhorn      William Schelter"
+"Gerhard Schneider      Martin Schoenert       Marshall Schor"
+"Frithjof Schulze       Fritz Schwarz          Steven Segletes"
+"V. Sima                Nick Simicich          William Sit"
+"Elena Smirnova         Jonathan Steinbach     Fabio Stumbo"
+"Christine Sundaresan   Robert Sutor           Moss E. Sweedler"
+"Eugene Surowitz        Max Tegmark            T. Doug Telford"
+"James Thatcher         Balbir Thomas          Mike Thomas"
+"Dylan Thurston         Steve Toleque          Barry Trager"
+"Themos T. Tsikas       Gregory Vanuxem        Bernhard Wall"
+"Stephen Watt           Jaap Weel              Juergen Weiss"
+"M. Weller              Mark Wegman            James Wen"
+"Thorsten Werther       Michael Wester         R. Clint Whaley"
+"John M. Wiley          Berhard Will           Clifton J. Williamson"
+"Stephen Wilson         Shmuel Winograd        Robert Wisbauer"
+"Sandra Wityak          Waldemar Wiwianka      Knut Wolf"
+"Liu Xiaojun            Clifford Yapp          David Yun"
+"Vadim Zhytnikov        Richard Zippel         Evelyn Zoernack"
+"Bruno Zuercher         Dan Zwillinger"
 
 Pervasive Literate Programming
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 05440e2..ede3762 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4153,6 +4153,8 @@ src/axiom-website/community.html fix mailing list links
 books/bookheader.tex standardize the book headers
 <a href="patches/20130428.03.tpd.patch">20130428.03.tpd.patch</a>
 books/bookvol* use bookheader.tex
+<a href="patches/20130428.04.tpd.patch">20130428.04.tpd.patch</a>
+src/input/cherry.input annotate the integration routines
  </body>
 </html>
 
diff --git a/src/input/cherry.input.pamphlet b/src/input/cherry.input.pamphlet
index 9798414..e132f05 100644
--- a/src/input/cherry.input.pamphlet
+++ b/src/input/cherry.input.pamphlet
@@ -3,30 +3,31 @@
 \setlength{\textwidth}{400pt}
 \begin{document}
 \title{\$SPAD/src/input cherry.input}
-\author{G. W. Cherry}
+\author{Timothy Daly}
 \maketitle
 \begin{abstract}
+Examples taken from:
+
+"INTEGRATION IN FINITE TERMS WITH SPECIAL FUNCTIONS: THE LOGARITHMIC INTEGRAL"
+
+written by G. W. CHERRY
+published in SIAM J. COMPUT. Vol. 15, No. 1, February 1986
+
 \end{abstract}
 \eject
 \tableofcontents
 \eject
 \begin{chunk}{*}
 )set break resume
-)sys rm cherry.output
+)sys rm -f cherry.output
 )spool cherry.output
 )set message test on
 )set message auto off
 )clear all
-
-\end{chunk} 
-Examples taken from:
-"INTEGRATION IN FINITE TERMS WITH SPECIAL FUNCTIONS: THE LOGARITHMIC INTEGRAL"
-written by G. W. CHERRY
-published in SIAM J. COMPUT. Vol. 15, No. 1, February 1986
  
-Page 1 Example 1.1
-\begin{chunk}{*}
+-- Page 1
 
+-- Example 1.1
 --S 1 of 61
 i := x/log(x)^2
 --R 
@@ -49,6 +50,19 @@ I := integrate(i, x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2
 
+\end{chunk}
+
+When written using li: (See bug 7241)
+\begin{verbatim}
+
+             2           2
+        2li(x )log(x) - x
+        ------------------
+              log(x)
+
+\end{verbatim}
+
+\begin{chunk}{*}
 --S 3 of 61
 Ic := 2*li(x^2) - x^2/log(x)
 --R 
@@ -71,10 +85,10 @@ D(Ic, x)
 --R                    log(x) log(x )
 --R                                                    Type: Expression(Integer)
 --E 4
-\end{chunk} 
-Page 16, Example 5.1
-\begin{chunk}{*}
 
+-- Page 16
+
+-- Example 5.1
 --S 5 of 61
 i := x^3 / log(x^2-1)
 --R 
@@ -99,6 +113,19 @@ I := integrate(i, x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 6
 
+\end{chunk}
+But could be integrated. See bug 7241
+\begin{verbatim}
+
+
+            4     2            2
+        li(x  - 2x  + 1) + li(x  - 1)
+        -----------------------------
+                      2
+
+\end{verbatim}
+
+\begin{chunk}{*}
 --S 7 of 61
 Ic := li(x^4-2*x^2+1)/2 + li(x^2-1)/2
 --R 
@@ -121,10 +148,8 @@ D(Ic, x)
 --R                log(x  - 1)log(x  - 2x  + 1)
 --R                                                    Type: Expression(Integer)
 --E 8
-\end{chunk}
-Example 5.2
-\begin{chunk}{*}
 
+-- Example 5.2
 --S 9 of 61
 i := x^2 / log(x^2-1)
 --R 
@@ -148,12 +173,12 @@ I := integrate(i, x)
 --R              log(%I  - 1)
 --R                                         Type: Union(Expression(Integer),...)
 --E 10
-\end{chunk}
-No closed form
 
-Page 17, Example 5.3
-\begin{chunk}{*}
+-- No closed form
+
+-- Page 17
 
+-- Example 5.3
 --S 11 of 61
 i := (2*x+3)/(3*log(x)+2*x) * exp(log(x)/2+x) + 1/(x+1)*(exp(log(x)/2+x))^2
 --R 
@@ -186,10 +211,8 @@ I := integrate(i, x)
 --R                          (3%I + 3)log(%I) + 2%I  + 2%I
 --R                                         Type: Union(Expression(Integer),...)
 --E 12
-\end{chunk}
-Example 5.3a
-\begin{chunk}{*}
 
+-- Example 5.3a
 --S 13 of 61
 i := (2*x+3)/(3*log(x)+2*x) * exp(log(x)/2+x)
 --R 
@@ -242,10 +265,8 @@ D(Ic, x)
 --R         2log(x %e           )
 --R                                                    Type: Expression(Integer)
 --E 16
-\end{chunk}
-Example 5.3b
-\begin{chunk}{*}
 
+-- Example 5.3b
 --S 17 of 61
 i := 1/(x+1)*(exp(log(x)/2+x))^2
 --R 
@@ -317,10 +338,10 @@ D(Ic, x)
 --R                  (x + 1)%e
 --R                                                    Type: Expression(Integer)
 --E 22
-\end{chunk}
-Page 18, Example 5.4
-\begin{chunk}{*}
 
+-- Page 18
+
+-- Example 5.4
 --S 23 of 61
 i := ((2*x^3-x^2-6*x)/(x^2+3*x+2) + (2*x-3)/(log(x)+1)) * exp(x*log(x)+x)
 --R 
@@ -377,10 +398,10 @@ D(Ic, x)
 --R     (x  + 3x  + 2x)%e %e log(x) + (x  + 3x  + 2x)%e %e
 --R                                                    Type: Expression(Integer)
 --E 26
-\end{chunk}
-Page 19, Example 6
-\begin{chunk}{*}
 
+-- Page 19
+
+-- Example 6
 --S 27 of 61
 i := cos(x)^2 / x^3
 --R 
@@ -427,10 +448,10 @@ D(Ic, x)
 --R             2x
 --R                                                    Type: Expression(Integer)
 --E 30
-\end{chunk}
-Appendix, Example d1 (same as 1.1)
-\begin{chunk}{*}
 
+-- Appendix
+
+-- Example d1 (same as 1.1)
 --S 31 of 61
 i := x/log(x)^2
 --R 
@@ -452,10 +473,8 @@ I := integrate(i, x)
 --R                  log(x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 32
-\end{chunk}
-Example d2
-\begin{chunk}{*}
 
+-- Example d2
 --S 33 of 61
 i := 1/(log(x)+3)
 --R 
@@ -477,6 +496,18 @@ I := integrate(i, x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 34
 
+\end{chunk}
+But could be integrated. See bug 7241
+\begin{verbatim}
+
+                3
+         li(x %e )
+         ---------
+              3
+            %e
+\end{verbatim}
+
+\begin{chunk}{*}
 --S 35 of 61
 Ic := exp(-3)*li(exp(3)*x)
 --R 
@@ -499,10 +530,8 @@ D(Ic, x)
 --R         log(x %e )
 --R                                                    Type: Expression(Integer)
 --E 36
-\end{chunk}
-Example d3
-\begin{chunk}{*}
 
+-- Example d3
 --S 37 of 61
 i := x^2 / log(x+1)
 --R 
@@ -525,6 +554,16 @@ I := integrate(i, x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 38
 
+\end{chunk}
+But could be integrated. See bug 7241
+\begin{verbatim}
+
+             3     2                  2
+         li(x  + 3x  + 3x + 1) - 2li(x  + 2x + 1) + li(x + 1)
+
+\end{verbatim}
+
+\begin{chunk}{*}
 --S 39 of 61
 Ic := li(x^3+3*x^2+3*x+1) - 2*li(x^2+2*x+1) + li(x+1)
 --R 
@@ -549,10 +588,8 @@ D(Ic, x)
 --R     log(x + 1)log(x  + 2x + 1)log(x  + 3x  + 3x + 1)
 --R                                                    Type: Expression(Integer)
 --E 40
-\end{chunk}
-Example d4
-\begin{chunk}{*}
 
+-- Example d4
 --S 41 of 61
 i := (log(x)^2+3)/(log(x)^2+3*log(x)+2)
 --R 
@@ -577,6 +614,18 @@ I := integrate(i, x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 42
 
+\end{chunk}
+But could be integrated. See bug 7241
+\begin{verbatim}
+
+                      2       2                  2
+         - 7%e li(x %e ) + 4%e li(x %e) + x %e %e
+         -----------------------------------------
+                                2
+                           %e %e
+\end{verbatim}
+
+\begin{chunk}{*}
 --S 43 of 61
 Ic := -7*exp(-2)*li(exp(2)*x)+4*exp(-1)*li(exp(1)*x)+x
 --R 
@@ -600,10 +649,8 @@ D(Ic, x)
 --R                   log(x %e)log(x %e )
 --R                                                    Type: Expression(Integer)
 --E 44
-\end{chunk}
-Example d5, d6, d7
-\begin{chunk}{*}
 
+-- Example d5, d6, d7
 --S 45 of 61
 I := li(x*exp(x)/log(x))
 --R 
@@ -639,10 +686,8 @@ I := integrate(i, x)
 --R            log(x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 47
-\end{chunk}
-Example d8
-\begin{chunk}{*}
 
+-- Example d8
 --S 48 of 61
 i := exp(x)/(x+1)^2
 --R 
@@ -689,10 +734,8 @@ D(Ic, x)
 --R              (x  + 2x + 1)%e
 --R                                                    Type: Expression(Integer)
 --E 51
-\end{chunk}
-Example d9
-\begin{chunk}{*}
 
+-- Example d9
 --S 52 of 61
 i := sin(x)/x
 --R 
@@ -710,10 +753,8 @@ I := integrate(i, x)
 --R   (53)  Si(x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 53
-\end{chunk}
-Example d10 (same as 6)
-\begin{chunk}{*}
 
+-- Example d10 (same as 6)
 --S 54 of 61
 i := cos(x)^2/x^3
 --R 
@@ -737,10 +778,8 @@ I := integrate(i, x)
 --R                 %I
 --R                                         Type: Union(Expression(Integer),...)
 --E 55
-\end{chunk}
-Example d11
-\begin{chunk}{*}
 
+-- Example d11
 --S 56 of 61
 i := (x^2+3)*exp(x)/(x^2+3*x+2)
 --R 
@@ -788,10 +827,8 @@ D(Ic, x)
 --R                                 (x  + 3x + 2)%e %e
 --R                                                    Type: Expression(Integer)
 --E 59
-\end{chunk}
-Example d12
-\begin{chunk}{*}
 
+-- Example d12
 --S 60 of 61
 i := (x^2+1)*exp(x)/(x^2+x+1)
 --R 
@@ -815,7 +852,8 @@ I := integrate(i, x)
 --R               %I  + %I + 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 61
-)spool 
+
+)spool
 )lisp (bye)
  
 \end{chunk}
@@ -824,4 +862,3 @@ I := integrate(i, x)
 \bibitem{1} nothing
 \end{thebibliography}
 \end{document}
-
